local addon = ...

local lang = Inspect.System.Language()
if (lang == "gibberish") then

else
	addon.data.language = {
		[" loaded, Version "] = " loaded, Version ",
		["Profile Loaded"] = "Profile loaded",
		["Bad Profile"] = "Unabled to load profile",
		["Profile Combat"] = "Profiles cannot be changed while in combat.",
		["slash use"] = "myUI slash-command usage:",
		["name"] = "name",
		["profile load"] = "Activates the specified profile.",
		["version"] = "Shows the version in use.",
		["modules"] = "Lists myUI modules in use.",
		["config"] = "Shows the configuration UI.",
		["Version "] = "Version ",
		["Modules"] = "Modules",
		["Configuration"] = "Configuration",
		["No Config"] = "This module has no configuration options.",
		["General"] = "General ",
		["GeneralMsg"] = "Welcome to myUI Beta !\n\nWhile I hope to have this ready for general release soon, this addon suite is still in Beta. " 
			.. "I hope the bugs are at a minimum, although some surely exist. If you encounter any bugs, please leave as much detailed information " 
			.. "about them as possible at the site from which you've downloaded this Beta.\n\nThanks for helping get myUI ready for general release!"
			.. "\n\nHere's a little bit of information about myUI. myUI is not a single addon but rather a suite of related addons that utilitize a common "
			.. "framework to achieve synergies and efficiencies not possible by a similar number of stand-alone addons. The only required addon in the suite "
			.. "is myUI. This is the base framework provider and is needed by all other myUI add-ons. All other myUI-family addons are optional and you only need enable those you want to use. \n\n"				
			,
		["Profiles"] = "Profiles ",
		["ProfilesMsg"] = "Profiles represent a group of settings for myUI-family addons. When myUI starts up, it uses the settings "
				.. "from your current 'Active' profile. You can have as many different profiles as you'd like but only one can be active at "
				.. "any one time. "
				.. "\n\nThe active profile setting is stored on a character basis, while all profiles are available for use by all characters."
				.. "\n\nYou can change your active profile using this screen, or with the myUI command-line options "
				.. "(which are well suited for macro'ing).\n\n"
				.. "Note: You must use \"reloadui\" after changing profiles for the changes to take effect.\n\n"
				,
		
		["Lists"] = "Lists ",
		["Performance"] = "Performance ",
		
		["red"] = "Red",
		["green"] = "Green",
		["blue"] = "Blue",
		["alpha"] = "Alpha",
		["current profiles"] =  "Current Profiles",
		["activate profile"] = "Activate",
		["delete profile"] = "Delete",
		["add profile"] = "Add Profile",
		["reloadui"] = "You must reload your UI for this change to take effect.",
		["ok"] = "OK",
		["PerformanceMsg"] = "A handful of performance settings can be changed here. These changes effect all myUI "
			.. "addons which subscribe to myUI timer events."
			,
		["Animation Speed"] = "Animation Speed",
		["Unit Update Speed"] = "Unit Update Frequency",
		["Slow Update Speed"] = "Non-critical Update Frequency",
		["second"] = " / sec",
		["Fonts"] = "Fonts ",
		["FontsMsg"] = "You can change the global font for all myUI-family addons using the options below. "
			.. "\n\nNote: If you delete any of the default fonts, they will be restored the next time the UI is reloaded."
		,
		["Installed Fonts"] = "Installed Fonts",
		["FontUpdate"] = " Change Font",
		["FontPreview"] = "AaBbCcDcEeFfGe\n1234567890",
		["CustomFontMsg"] = "To add your own custom font, copy your font file into the 'myUI/fonts' folder, then enter "
			.. "a descriptive name and the exact filename including the extention.",
		["FontName"] = "Name",
		["FontFile"] = "Filename",
		["FontSize"] = "Size",
		["AddFont"] = "Add Custom Font",
		["RemoveFont"] = "Remove Font",	
		["GameIcons"] = "Game Icons",
		["GameIconsMsg"] = "The list below are all of the game icon resources known to myUI. To add more, use the scan button. myUI will "
			.. "then check your inventory and abilities for any new icons avaiable to it.",
		["GameIconsScan"] = "Scan for Icons",
		
	}
end

